/*
 * Copyright (c) 2020. Synclovis Systems Pvt Ltd - All Rights Reserved
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */

package com.synclovis.trackflow.connectors;

/**
 * Events - WebSocket Event Names
 *
 * @author Anooj Krishnan G <anooj.krishnan@synclovis.com>
 * @version 1.0
 */


public class Events {
  public static String ON_SCREENSHOT = "device_screenshot_res";
  public static String ON_SCREENSHOT_REQ = "device_screenshot_req";
  public static String ON_CONNECTION = "connection";
  public static String ON_SOCKET_ERROR = "socket_error";
  public static String ON_ERROR = "error";
  public static String ON_ACK = "acknowledge";
  public static String EMIT_LOG = "log_info";
  public static String PERMISSION_LIST = "device_permissions_res";
  public static String EMIT_DEVICE_INIT = "device_init";
  public static String ON_PERMISSION = "device_permissions_req";
  public static String DEV_ASYNC_RES = "device_async_storage_res";
  public static String DEV_ASYNC_REQ = "device_async_storage_req";
  public static String MEMBER_ONLINE= "online_members";
  public static String DEV_INFO_RES = "device_info_res";
  public static String DEV_INFO_REQ = "device_info_req";
  public static String ON_SCREENSHOT_AUTOMATIC = "test_flow_screenshot";
  public static String ON_SCREENSHOT_SHAKE = "shake_to_screenshot";
  public static String CUSTOM_LOG = "custom_log";

}
