/*
 * Copyright (c) 2020. Synclovis Systems Pvt Ltd - All Rights Reserved
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */

package com.synclovis.trackflow.connectors;

/**
 * Events - WebSocket Listener interface
 *
 * @author  Anooj Krishnan G <anooj.krishnan@synclovis.com>
 * @version 1.0
 */


public interface SocketListener {
    void onConnectionSuccess();
    void onConnectionFailed();
    void onPermissionRequest();
    void onScreenShotRequest();
    void onAsyncRequest();
    void onDeviceInfo();
    void onApiCall();
}
